Subject: bug#50988: 26.3; gnus-cloud gets wrong chunk byte count writing sync from windows

From: Steinar Bang <[email-masked]>
Date: Tue, 13 Sep 2022 19:28:58 +0200

>>>>> Lars Ingebrigtsen <[email-masked]>:
> [email-masked] writes:

>> The first chunk has the following header:
>> (:type :file :file-name "~/.gnus.el" :timestamp
>> "2021-09-19T15:04:33+0200" :length 16241)
>> 
>> The byte count here is 16241, but it should have been 15754.

> I'm not able to reproduce this exactly, but I think I've identified a
> possible problem in this area now.  Do you still see these issues on
> the current "master" branch?

No, sorry!

I removed gnus-cloud sync of .gnus.el and .authinfo.gpg on "Wed Oct 6 20:50:09 2021 +0200"

modified   .emacs
@@ -783,6 +783,7 @@ to be something different.")
  '(gnus-cloud-interactive nil)
  '(gnus-cloud-method "nnimap:privat")
  '(gnus-cloud-storage-method nil)
+ '(gnus-cloud-synced-files '((:directory "~/News" :match ".*.SCORE\\'")))
  '(gnus-picon-style 'right)
  '(gnus-treat-fill-long-lines nil)
  '(gnus-treat-newsgroups-picon nil)

(also, I'm now using a debian GNU/linux laptop, so I don't see any
CRLF/LF related issues (which I still think this was, even if Eli
doesn't). I.e. not easy to reproduce)